#include <bits/stdc++.h>

/*

Kvalifikacije 2019/2020.
Treci krug kvalifikacija

Aphelion, Vuk Markovic
Zadatak A: Upoznavanje

*/

using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n, x, k_max_L = 0, k_max_D = 0, k;
    cin >> n >> x;
    while ( n-- ) {
        cin >> k;
        if (k >= x) 
            k_max_D = max(k_max_D, k-x);   
        else
            k_max_L = max(k_max_L, x-k);
    }
    cout << 2*min(k_max_D, k_max_L) + max(k_max_D, k_max_L);
    return 0;
}